### Function

# Soup MessageHeaders new

#### Declaration [src]

    SoupMessageHeaders*
    soup_message_headers_new (
      SoupMessageHeadersType type
    )

#### Description [src]

Creates a `SoupMessageHeaders`.

(`SoupMessage` does this automatically for its own headers. You would only need to use this method if you are manually parsing or generating message headers.)

#### Parameters

`type`

  Type: `SoupMessageHeadersType`

  The type of headers.

#### Return value

Type: `SoupMessageHeaders`

A new `SoupMessageHeaders`.

The caller of the function takes ownership of the data, and is responsible for freeing it.